#
# spec file for package raspberrypi-rpiboot
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           raspberrypi-rpiboot
Version:        49a2a4f
Release:        bp153.1.10
Summary:        Raspberry Pi rpiboot tool
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/raspberrypi/usbboot.git
Source0:        %{name}-%{version}.tar
BuildRequires:  libusb-1_0-devel
BuildRequires:  libusb-compat-devel

%description
The raspberrypi-usbboot allows you to flash the eMMC through an USB cable.

%prep
%setup -q

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -c -m 0755 rpiboot %{buildroot}%{_bindir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/rpiboot

%changelog
* Fri Jan 22 2021 Jan Engelhardt <jengelh@inai.de>
- Generate monotonically increasing Version numbers
* Fri Jan 22 2021 Matthias Brugger <mbrugger@suse.com>
- add support for CM4 (jsc#SLE-16895)
* Tue Jun  9 2020 Matthias Brugger <mbrugger@suse.com>
- delete update_git.sh
* Fri Jun  5 2020 Matthias Brugger <mbrugger@suse.com>
- add source service
- add version c650cd7
  * fix build warning
* Tue May  5 2020 Matthias Brugger <mbrugger@suse.com>
- add version 78 (jsc#64380)
